# Class HttpClient

code »

All implemented interfaces:
  `webdriver.http.Client`

A `webdriver.http.Client` implementation using Node's built-in http module.

## Constructor

HttpClient ( serverUrl )

Parameters

serverUrl: `string`
  URL for the WebDriver server to send commands to.

Show:PublicProtectedPrivate

## Instance Methods

code » send ( httpRequest, callback )

Parameters

httpRequest
callback

## Instance Properties

code » options_ : `!Object`

Base options for each request.